Get Team Release Groups
https://app.fossa.com/api/teams/{id}/release-groupsGet a paginated list of Release Groups for a team
Path parameters
idintegerrequiredID of the team
Query parameters
pageintegerPage number (1-indexed, defaults to 1)
pageSizeintegerNumber of items per page (defaults to 10, max 50)
searchstringSearch term to filter Release Groups by title
sortenumSort order for the Release Groups by title
ascdescResponses
200OKresultsobject[]requiredArray of team Release Groups
titlestringrequiredTitle of the Release Group
idintegerrequiredID of the Release Group
pageSizeintegerrequiredNumber of items per page
pageintegerrequiredCurrent page number (1-indexed)
totalCountintegerrequiredTotal number of team release groups
400Bad RequestuuidstringUnique identifier associated with the error
codeintegerfossa specific error code
messagestringmessage associated with this error
namestringname of the error
httpStatusCodeintegerhttp status code number
403ForbiddenuuidstringUnique identifier associated with the error
codeintegerfossa specific error code
messagestringmessage associated with this error
namestringname of the error
httpStatusCodeintegerhttp status code number
404Not FounduuidstringUnique identifier associated with the error
codeintegerfossa specific error code
messagestringmessage associated with this error
namestringname of the error
httpStatusCodeintegerhttp status code number
500Server ErroruuidstringUnique identifier associated with the error
codeintegerfossa specific error code
messagestringmessage associated with this error
namestringname of the error
httpStatusCodeintegerhttp status code number
Try this endpoint
Build a request and run it against app.fossa.com.
Stored in this browser for 24 hours. Try It uses a docs proxy for CORS and does not store tokens server-side.
GET https://app.fossa.com/api/teams/1/release-groupscurl --request GET \ --url 'https://app.fossa.com/api/teams/1/release-groups' \ --header 'accept: application/json' \ --header 'authorization: Bearer YOUR_API_TOKEN'Real request. Mutating methods can change data.
Path params
idintegerrequiredID of the team
Query params
pageintegerPage number (1-indexed, defaults to 1)
pageSizeintegerNumber of items per page (defaults to 10, max 50)
searchstringSearch term to filter Release Groups by title
sortenumSort order for the Release Groups by title